Subject: Re: FKJ 674 XZ MISTL200 FROM PZ WILMAR GIFT WORKSHOP JO 64213
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>, Folashade Odutola <[email-masked]>, Benedict Ochade <[email-masked]>, Kanu Chukwudi <[email-masked]>
Date: Thu, 9 Oct 2025 12:08:53 +0000

Dear Lucky,

See approval below.................

  S/N

Items

Quantity

Estimated amount

Approved amount

Control

1

Engine oil 6 liters of oil)

28,000.00

 25,000.00

 25,000.00

2

Oil filter

2,000.00

 2,000.00

 2,000.00

3

Air filter

9,500.00

 5,000.00

 5,000.00

4

Upper arms left and right bushing

32,000.00

 28,000.00

 24,000.00

5

Leak arms right and left

12,000.00

8,000.00

8,000.00

6

labour

15,000.00

10,000.00

10,000.00

Total

98,500.00

78,000.00

74,000.00

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Thursday, October 9, 2025 1:02 PM
To: Raphael Peter <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Okoroafor Igwe <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>; Kanu Chukwudi <[email-masked]>
Subject: Re: FKJ 674 XZ MISTL200 FROM PZ WILMAR GIFT WORKSHOP JO 64213

Dear Raphael,

Kindly approve for further processing.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Kanu Chukwudi <[email-masked]>
Sent: Wednesday, October 8, 2025 2:41 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Okoroafor Igwe <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: RE: FKJ 674 XZ MISTL200 FROM PZ WILMAR GIFT WORKSHOP JO 64213

See approval below.................

  S/N

Items

Quantity

Estimated amount

Approved amount

1

Engine oil 6 liters of oil)

28,000.00

 25,000.00

2

Oil filter

2,000.00

 2,000.00

3

Air filter

9,500.00

 5,000.00

4

Upper arms left and right bushing

32,000.00

 28,000.00

5

Leak arms right and left

12,000.00

8,000.00

6

labour

15,000.00

10,000.00

Total

98,500.00

78,000.00

Chuks Kanu

Head, Safety & Security (CSO)

C & I Leasing PLC | Leasing house, Off Oginigba,Elekahia Link Road, Trans-Amadi, PH.

08172007273 | [email-masked]|<mailto:[email-masked]%7C> www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with blue and black logo  Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Wednesday, 8 October 2025 13:37
To: Kanu Chukwudi <[email-masked]>
Cc: Raphael Peter <[email-masked]>; Okoroafor Igwe <[email-masked]>; Folashade Odutola <[email-masked]>; Benedict Ochade <[email-masked]>
Subject: FKJ 674 XZ MISTL200 FROM PZ WILMAR GIFT WORKSHOP JO 64213

Good afternoon, sir!

Kindly find the table for your approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

Engine oil 6 liters of oil)

28,000.00

2

Oil filter

2,000.00

3

Air filter

9,500.00

4

Upper arms left and right bushing

32,000.00

5

Leak arms right and left

12,000.00

6

labour

15,000.00

Total

98,500.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]